CVE-2002-0835
CVSS5.0
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:04
NMCOS    

[原文]Preboot eXecution Environment (PXE) server allows remote attackers to cause a denial of service (crash) via certain DHCP packets from Voice-Over-IP (VOIP) phones.


[CNNVD]Red Hat PXE Server DHCP包远程拒绝服务漏洞(CNNVD-200210-060)

        
        Red Hat Linux是一款开放源代码Linux操作系统,包含Preboot eXecution Environment (PXE)服务程序,PXE用于从远程磁盘映象中启动Linux系统。
        Preboot eXecution Environment (PXE)服务程序对未预料到的DHCP包处理不正确,远程攻击者可以利用这个漏洞进行拒绝服务攻击。
        PXE服务程序对来自VOIP电话系统的DHCP包请求处理不正确,远程攻击者可以构建VOIP电话系统的DHCP请求包而导致PXE服务程序崩溃。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:caldera:openlinux_server:3.1
cpe:/o:hp:secure_os:1.0::linux
cpe:/a:redhat:pre-execution_environment:0.1Red Hat PXE Server 0.1
cpe:/a:caldera:openlinux_workstation:3.1.1
cpe:/a:caldera:openlinux_server:3.1.1
cpe:/a:caldera:openlinux_workstation:3.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0835
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0835
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-060
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2002-165.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2002:165
http://www.redhat.com/support/errata/RHSA-2002-162.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2002:162
http://www.securityfocus.com/bid/5596
(VENDOR_ADVISORY)  BID  5596
http://www.iss.net/security_center/static/10003.php
(UNKNOWN)  XF  pxe-dhcp-dos(10003)
http://online.securityfocus.com/advisories/4449
(UNKNOWN)  HP  HPSBTL0209-066
ftp://ftp.caldera.com/pub/security/OpenLinux/CSSA-2002-044.0.txt
(UNKNOWN)  CALDERA  CSSA-2002-044.0

- 漏洞信息

Red Hat PXE Server DHCP包远程拒绝服务漏洞
中危 其他
2002-10-04 00:00:00 2005-05-13 00:00:00
远程  
        
        Red Hat Linux是一款开放源代码Linux操作系统,包含Preboot eXecution Environment (PXE)服务程序,PXE用于从远程磁盘映象中启动Linux系统。
        Preboot eXecution Environment (PXE)服务程序对未预料到的DHCP包处理不正确,远程攻击者可以利用这个漏洞进行拒绝服务攻击。
        PXE服务程序对来自VOIP电话系统的DHCP包请求处理不正确,远程攻击者可以构建VOIP电话系统的DHCP请求包而导致PXE服务程序崩溃。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时关闭Red Hat PXE Server。
        厂商补丁:
        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2002:162-12)以及相应补丁:
        RHSA-2002:162-12:PXE server crashes from certain DHCP packets
        链接:https://www.redhat.com/support/errata/RHSA-2002-162.html
        补丁下载:
        Red Hat Linux 6.2:
        SRPMS:
        ftp://updates.redhat.com/6.2/en/os/SRPMS/pxe-0.1-31.100.6.2.src.rpm
        i386:
        ftp://updates.redhat.com/6.2/en/os/i386/pxe-0.1-31.100.6.2.i386.rpm
        Red Hat Linux 7.0:
        SRPMS:
        ftp://updates.redhat.com/7.0/en/os/SRPMS/pxe-0.1-31.99.7.3.src.rpm
        i386:
        ftp://updates.redhat.com/7.0/en/os/i386/pxe-0.1-31.99.7.3.i386.rpm
        Red Hat Linux 7.1:
        SRPMS:
        ftp://updates.redhat.com/7.1/en/os/SRPMS/pxe-0.1-31.99.7.3.src.rpm
        i386:
        ftp://updates.redhat.com/7.1/en/os/i386/pxe-0.1-31.99.7.3.i386.rpm
        Red Hat Linux 7.2:
        SRPMS:
        ftp://updates.redhat.com/7.2/en/os/SRPMS/pxe-0.1-31.99.7.3.src.rpm
        i386:
        ftp://updates.redhat.com/7.2/en/os/i386/pxe-0.1-31.99.7.3.i386.rpm
        Red Hat Linux 7.3:
        SRPMS:
        ftp://updates.redhat.com/7.3/en/os/SRPMS/pxe-0.1-31.99.7.3.src.rpm
        i386:
        ftp://updates.redhat.com/7.3/en/os/i386/pxe-0.1-31.99.7.3.i386.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]

- 漏洞信息

14440
Intel Preboot eXecution Environment (PXE) Server VOIP Phone Malformed DHCP Packet DoS
Remote / Network Access Denial of Service
Loss of Availability

- 漏洞描述

- 时间线

2002-08-30 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

PXE Server DHCP Packet Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 5596
Yes No
2002-08-30 12:00:00 2009-07-11 03:56:00
Published in a Red Hat Security Advisory.

- 受影响的程序版本

RedHat PXE Server 0.1
+ Red Hat Linux 6.2
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.3
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.2
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1
+ RedHat Linux 7.0 i386
+ RedHat Linux 7.0
+ RedHat Linux 6.2 i386
HP Secure OS software for Linux 1.0
Caldera OpenLinux Workstation 3.1.1
Caldera OpenLinux Workstation 3.1
Caldera OpenLinux Server 3.1.1
Caldera OpenLinux Server 3.1

- 漏洞讨论

Red Hat Linux includes a Preboot eXecution Environment (PXE) server. PXE can be used to boot a Linux based system from a remote disk image.

The PXE server included with some versions of Red Hat may crash if unexpected DHCP packets are received. Exploitation may result in a denial of service condition.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

HP advises that the packages listed in RHSA-2002:162 under Red Hat Linux 7.1 i386 are installed to patch HP Secure OS Software for Linux Release 1.0.

The SCO Group has released an advisory for OpenLinux. Further details are available in the referenced advisory.

Updates are available:


RedHat PXE Server 0.1

HP Secure OS software for Linux 1.0

Caldera OpenLinux Server 3.1

Caldera OpenLinux Workstation 3.1

Caldera OpenLinux Server 3.1.1

Caldera OpenLinux Workstation 3.1.1

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站